Bug 849332 - readdir syscall returns invalid results for junction points (symbolic links)
readdir syscall returns invalid results for junction points (symbolic links)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ntfs-3g (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 811399
  Show dependency treegraph
 
Reported: 2012-08-18 08:55 EDT by Erik van Pienbroek
Modified: 2012-09-17 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 18:56:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (created by upstream) (5.31 KB, patch)
2012-08-18 08:55 EDT, Erik van Pienbroek
no flags Details | Diff

  None (edit)
Description Erik van Pienbroek 2012-08-18 08:55:15 EDT
Created attachment 605323 [details]
Proposed patch (created by upstream)

Hi,

While investigating an issue with baobab (gnome disk usage tool, bug 811399) I found out that ntfs-3g returns an invalid result when a junction point (symbolic link) is detected. Whenever a junction point is detected, the readdir syscall thinks that the file in question is a directory while it actually is a symbolic link.

I filed this issue upstream along with a testcase and they provided a fix for this issue. I tested this patch on my Fedora 17 x86_64 environment and it indeed does resolve the baobab issue.

Could you please apply this patch in the ntfs-3g package for now?

For more details, see:
https://bugzilla.redhat.com/show_bug.cgi?id=811399
https://bugzilla.gnome.org/show_bug.cgi?id=672219
http://tuxera.com/forum/viewtopic.php?f=2&t=29578
Comment 1 Tom "spot" Callaway 2012-08-19 21:12:19 EDT
Erik, the patch you attached is seriously malformed (how did you manage that?), but I found the correct patch from the tuxera link. Update is coming, thanks.
Comment 2 Fedora Update System 2012-08-19 21:25:51 EDT
ntfs-3g-2012.1.15-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ntfs-3g-2012.1.15-3.fc17
Comment 3 Fedora Update System 2012-08-19 21:26:05 EDT
ntfs-3g-2012.1.15-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ntfs-3g-2012.1.15-3.fc18
Comment 4 Fedora Update System 2012-08-19 23:57:19 EDT
Package ntfs-3g-2012.1.15-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntfs-3g-2012.1.15-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12261/ntfs-3g-2012.1.15-3.fc18
then log in and leave karma (feedback).
Comment 5 Erik van Pienbroek 2012-08-20 12:44:42 EDT
(In reply to comment #1)
> Erik, the patch you attached is seriously malformed (how did you manage
> that?), but I found the correct patch from the tuxera link. Update is
> coming, thanks.

I don't know what went wrong, but when I perform 'wget https://bugzilla.redhat.com/attachment.cgi?id=605323' it returns a proper patch here. Anyway, you managed to get the patch from upstream so everything is good now.

Thanks for the quick update!
Comment 6 Erik van Pienbroek 2012-08-20 12:48:15 EDT
Sorry for the reassign noise. Some firefox extension messed up the bugzilla form..
Comment 7 Fedora Update System 2012-09-04 18:56:58 EDT
ntfs-3g-2012.1.15-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-17 19:43:10 EDT
ntfs-3g-2012.1.15-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.